# QVM: Quaternions, Vectors, Matrices

### operator*(vec,scalar)

#include <boost/qvm/vec_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if: is_vec<A>::value && is_scalar<B>::value
            template <class A>
            typename deduce_vec<A>::type
            operator*( A const & a, B b );
        }
    }

#### Returns:

A vector that is the result of multiplying the vector a by the scalar b.

See also: boost/qvm/vec_operations.hpp | operator*(scalar,vec)